## com.sun.jna.platform.unix
Class X11.XTextProperty

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XTextProperty

Enclosing interface:
  X11

    public static class X11.XTextProperty

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`X11.Atom` `encoding`
`int` `format`
`com.sun.jna.NativeLong` `nitems`
`java.lang.String` `value`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XTextProperty()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public java.lang.String value

### encoding

    public X11.Atom encoding

### format

    public int format

### nitems

    public com.sun.jna.NativeLong nitems

Constructor Detail

### X11.XTextProperty

    public X11.XTextProperty()